This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 239085 - openvpn up script prevented from running by selinux targetted policy
openvpn up script prevented from running by selinux targetted policy
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openvpn (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-04 16:09 EDT by Jean-Luc Duprat
Modified: 2008-05-06 21:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:39:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jean-Luc Duprat 2007-05-04 16:09:43 EDT
Description of problem:
using Fedora 7 Test 4.  I am using OpenVPN and my client.conf script has the
following command in it:
up /etc/openvpn/clientup.sh

SELinux disallows running the script, generating the info atteched below. 
Should this be allowed through a boolean in the SELinux management tool?

---------

Summary
    SELinux is preventing sh (openvpn_t) "execute" to clientup.sh
    (openvpn_etc_t).

Detailed Description
    SELinux denied access requested by sh. It is not expected that this access
    is required by sh and this access may signal an intrusion attempt. It is
    also possible that the specific version or configuration of the application
    is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for clientup.sh, restorecon -v
    clientup.sh If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                user_u:system_r:openvpn_t
Target Context                system_u:object_r:openvpn_etc_t
Target Objects                clientup.sh [ file ]
Affected RPM Packages         
Policy RPM                    selinux-policy-2.6.1-1.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.21-1.3116.fc7 #1
                              SMP Thu Apr 26 10:36:44 EDT 2007 i686 i686
Alert Count                   4
First Seen                    Fri 04 May 2007 12:39:23 PM PDT
Last Seen                     Fri 04 May 2007 12:45:04 PM PDT
Local ID                      6d3042d7-4212-4790-aa54-799baaeb6c72
Line Numbers                  

Raw Audit Messages            

avc: denied { execute } for comm="sh" dev=dm-0 egid=0 euid=0 exe="/bin/bash"
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="clientup.sh" pid=3920
scontext=user_u:system_r:openvpn_t:s0 sgid=0 subj=user_u:system_r:openvpn_t:s0
suid=0 tclass=file tcontext=system_u:object_r:openvpn_etc_t:s0 tty=(none) uid=0


Version-Release number of selected component (if applicable):
openvpn-2.1-0.19.rc4.fc7
Comment 1 Tomasz Kepczynski 2007-08-22 04:44:03 EDT
Same problem on CENTOS5/RHEL5 with openvpn from epel.
Comment 2 Bug Zapper 2008-04-03 20:30:41 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 21:39:40 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.